<script lang="ts" setup>
defineProps({
  color: {
    type: String,
    required: false,
    default: 'var(--complementary-gray-3)'
  },
  width: {
    type: String,
    required: false,
    default: "212px"
  },
  height: {
    type: String,
    required: false,
    default: "236px"
  },
})
</script>

<template>
  <div class="card">
    <slot />
  </div>
</template>

<style>
.card {
  padding: 16px;

  background: v-bind(color);
  border-radius: 8px;

  width: v-bind(width);
  height: v-bind(height);

  font-weight: 600;
  font-size: 16px;
}
</style>